package com.ajb.car.metadata.service;

import java.util.List;
import org.springframework.data.domain.Sort;

import com.ajb.car.entity.meta.AgMdVehicleBrand;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface AgMdVehicleBrandService {
	AgMdVehicleBrand save(AgMdVehicleBrand agmdvehiclebrand);
	Boolean delete (Long id);
	AgMdVehicleBrand update(AgMdVehicleBrand agmdvehiclebrand);
	AgMdVehicleBrand findById(Long id);
	Page<AgMdVehicleBrand> findByObjPageable(AgMdVehicleBrand agmdvehiclebrand,Pageable pageable);
	List<AgMdVehicleBrand> findByObjSortable(AgMdVehicleBrand agmdvehiclebrand,Sort sort);
}